package com.ruoyi.project.document.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.document.mapper.TPlantproglistFileMapper;
import com.ruoyi.project.document.domain.TPlantproglistFile;
import com.ruoyi.project.document.service.ITPlantproglistFileService;

import javax.annotation.Resource;

/**
 * 装置程序清单附件Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-05
 */
@Service
public class TPlantproglistFileServiceImpl implements ITPlantproglistFileService
{
    @Resource
    private TPlantproglistFileMapper tPlantproglistFileMapper;

    /**
     * 查询装置程序清单附件
     *
     * @param id 装置程序清单附件ID
     * @return 装置程序清单附件
     */
    @Override
    public TPlantproglistFile selectTPlantproglistFileById(Long id)
    {
        return tPlantproglistFileMapper.selectTPlantproglistFileById(id);
    }

    /**
     * 查询装置程序清单附件列表
     *
     * @param tPlantproglistFile 装置程序清单附件
     * @return 装置程序清单附件
     */
    @Override
    public List<TPlantproglistFile> selectTPlantproglistFileList(TPlantproglistFile tPlantproglistFile)
    {
        return tPlantproglistFileMapper.selectTPlantproglistFileList(tPlantproglistFile);
    }

    /**
     * 新增装置程序清单附件
     *
     * @param tPlantproglistFile 装置程序清单附件
     * @return 结果
     */
    @Override
    public int insertTPlantproglistFile(TPlantproglistFile tPlantproglistFile)
    {
        return tPlantproglistFileMapper.insertTPlantproglistFile(tPlantproglistFile);
    }

    /**
     * 修改装置程序清单附件
     *
     * @param tPlantproglistFile 装置程序清单附件
     * @return 结果
     */
    @Override
    public int updateTPlantproglistFile(TPlantproglistFile tPlantproglistFile)
    {
        return tPlantproglistFileMapper.updateTPlantproglistFile(tPlantproglistFile);
    }

    /**
     * 批量删除装置程序清单附件
     *
     * @param ids 需要删除的装置程序清单附件ID
     * @return 结果
     */
    @Override
    public int deleteTPlantproglistFileByIds(Long[] ids)
    {
        return tPlantproglistFileMapper.deleteTPlantproglistFileByIds(ids);
    }

    /**
     * 删除装置程序清单附件信息
     *
     * @param id 装置程序清单附件ID
     * @return 结果
     */
    @Override
    public int deleteTPlantproglistFileById(Long id)
    {
        return tPlantproglistFileMapper.deleteTPlantproglistFileById(id);
    }
}
